net.i2p.router.networkdb.kademlia

## Class FloodOnlyLookupTimeoutJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.FloodOnlyLookupTimeoutJob

- All Implemented Interfaces:
    Job

      class FloodOnlyLookupTimeoutJob
      extends JobImpl

  Timeout handler for flood-only search operations.

  Triggers search failure when the overall search timeout expires. Used by FloodOnlySearchJob to enforce total time limits and ensure searches don't run indefinitely without resolution.

  This complements the per-peer timeout mechanisms by providing a search-wide timeout boundary.

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FloodOnlyLookupTimeoutJob(RouterContext ctx, FloodSearchJob job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `runJob()` Actually perform the task.

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FloodOnlyLookupTimeoutJob

          public FloodOnlyLookupTimeoutJob(RouterContext ctx,
                                           FloodSearchJob job)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Returns:
        the descriptive name of the task

    - #### runJob

          public void runJob()

      Description copied from interface: `Job`
      Actually perform the task. This call blocks until the Job is complete.